## YelpUri YelpUri |

## Functions

YelpUri * | yelp_uri_new ()
YelpUri * | yelp_uri_new_relative ()
YelpUri * | yelp_uri_new_search ()
void | yelp_uri_resolve ()
void | yelp_uri_resolve_sync ()
gboolean | yelp_uri_is_resolved ()
YelpUriDocumentType | yelp_uri_get_document_type ()
gchar * | yelp_uri_get_canonical_uri ()
gchar * | yelp_uri_get_document_uri ()
GFile * | yelp_uri_get_file ()
gchar ** | yelp_uri_get_search_path ()
gchar * | yelp_uri_get_page_id ()
gchar * | yelp_uri_get_frag_id ()
gchar * | yelp_uri_get_query ()
gchar * | yelp_uri_locate_file_uri ()

## Signals

void | resolved | Run Last

## Types and Values

enum | YelpUriDocumentType

## Object Hierarchy

        GObject
        ╰── YelpUri

## Description

## Functions

### yelp_uri_new ()

    YelpUri *
    yelp_uri_new (const gchar *arg);

### yelp_uri_new_relative ()

    YelpUri *
    yelp_uri_new_relative (YelpUri *base,
                           const gchar *arg);

### yelp_uri_new_search ()

    YelpUri *
    yelp_uri_new_search (YelpUri *base,
                         const gchar *text);

### yelp_uri_resolve ()

    void
    yelp_uri_resolve (YelpUri *uri);

### yelp_uri_resolve_sync ()

    void
    yelp_uri_resolve_sync (YelpUri *uri);

### yelp_uri_is_resolved ()

    gboolean
    yelp_uri_is_resolved (YelpUri *uri);

### yelp_uri_get_document_type ()

    YelpUriDocumentType
    yelp_uri_get_document_type (YelpUri *uri);

### yelp_uri_get_canonical_uri ()

    gchar *
    yelp_uri_get_canonical_uri (YelpUri *uri);

### yelp_uri_get_document_uri ()

    gchar *
    yelp_uri_get_document_uri (YelpUri *uri);

### yelp_uri_get_file ()

    GFile *
    yelp_uri_get_file (YelpUri *uri);

### yelp_uri_get_search_path ()

    gchar **
    yelp_uri_get_search_path (YelpUri *uri);

### yelp_uri_get_page_id ()

    gchar *
    yelp_uri_get_page_id (YelpUri *uri);

### yelp_uri_get_frag_id ()

    gchar *
    yelp_uri_get_frag_id (YelpUri *uri);

### yelp_uri_get_query ()

    gchar *
    yelp_uri_get_query (YelpUri *uri,
                        const gchar *key);

### yelp_uri_locate_file_uri ()

    gchar *
    yelp_uri_locate_file_uri (YelpUri *uri,
                              const gchar *filename);

## Types and Values

### enum YelpUriDocumentType

#### Members

YELP_URI_DOCUMENT_TYPE_UNRESOLVED |  |
YELP_URI_DOCUMENT_TYPE_DOCBOOK |  |
YELP_URI_DOCUMENT_TYPE_MALLARD |  |
YELP_URI_DOCUMENT_TYPE_MAN |  |
YELP_URI_DOCUMENT_TYPE_INFO |  |
YELP_URI_DOCUMENT_TYPE_TEXT |  |
YELP_URI_DOCUMENT_TYPE_HTML |  |
YELP_URI_DOCUMENT_TYPE_XHTML |  |
YELP_URI_DOCUMENT_TYPE_HELP_LIST |  |
YELP_URI_DOCUMENT_TYPE_NOT_FOUND |  |
YELP_URI_DOCUMENT_TYPE_EXTERNAL |  |
YELP_URI_DOCUMENT_TYPE_ERROR |  |

## Signal Details

### The `“resolved”` signal

    void
    user_function (YelpUri *yelpuri,
                   gpointer user_data)

Flags: Run Last